@echo off

echo JXUL Runtime System
echo -------------------

if "%JAVA_HOME%" == "" goto errorjava
if "%JXUL_HOME%" == "" goto errorjxul 
 

set LOCALCLASSPATH=%JAVA_HOME%\lib\tools.jar;%JXUL_HOME%\lib\xerces.jar;%JXUL_HOME%\lib\js.jar;%JXUL_HOME%\build\jXUL.jar

echo Starting JXUL...

%JAVA_HOME%\bin\java.exe -classpath "%LOCALCLASSPATH%" org.jxul.xulrunner.Main %1

goto end

:errorjxul
echo ERROR: JXUL_HOME not found in your environment.
echo Please, set the JXUL_HOME variable in your environment to match the
echo location of the JXUL installation you want to use.
goto end

:errorjava
 
echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine  you want to use.
goto end

:end

set LOCALCLASSPATH=

