// XulJsFunctions.java 
package org.jxul.js;

import org.jxul.framework.*;

import org.w3c.dom.*;
import org.mozilla.javascript.*;
import javax.swing.*;

public class XulJsFunctions extends ScriptableObject
{
    public static final boolean debug;
    
    static
    {
        // this variation works in both applets and applications
        boolean temp = false;
        try
        {
            String sdebug = System.getProperty("debug");
            if (sdebug != null && sdebug.equalsIgnoreCase("true"))
                temp = true;
            else
                temp = false;
        } catch (Exception e)
          { }
        debug = temp;
    }
    
    Element elem;
    JComponent peer;                    
        
    public void jsConstructor() 
    { 
        System.out.println("No-Arg Constructor for XulJsFunctions");
    }
    
    public XulJsFunctions() {}
    
    public String getClassName()
    {
        return "XulJsFunctions";
    }
    public void alert(String msg)
    {
	JOptionPane.showMessageDialog(null,msg);	
    }
    public int confirm(String msg)
    {
	int ret = 0;	
	// for retvalues of this, 0 = yes, 1 = no.
	ret = JOptionPane.showConfirmDialog(null, msg,"Confirm Dialog",JOptionPane.YES_NO_OPTION);

	if (ret == JOptionPane.YES_OPTION)
		return 1;
	else
		return 0;	
		
    }
}
